import request from '@/utils/request'

// 查询视频转换订单列表
export function listVideoOrder(query) {
  return request({
    url: '/tools/videoOrder/list',
    method: 'get',
    params: query
  })
}

// 查询视频转换订单详细
export function getVideoOrder(orderId) {
  return request({
    url: '/tools/videoOrder/' + orderId,
    method: 'get'
  })
}

// 新增视频转换订单
export function addVideoOrder(data) {
  return request({
    url: '/tools/videoOrder',
    method: 'post',
    data: data
  })
}

// 修改视频转换订单
export function updateVideoOrder(data) {
  return request({
    url: '/tools/videoOrder',
    method: 'put',
    data: data
  })
}

// 删除视频转换订单
export function delVideoOrder(orderId) {
  return request({
    url: '/tools/videoOrder/' + orderId,
    method: 'delete'
  })
}

// 导出视频转换订单
export function exportVideoOrder(query) {
  return request({
    url: '/tools/videoOrder/export',
    method: 'get',
    params: query
  })
}